ObertObert
Posts

Add Post

Add a LinkedIn post to the feed. Returns immediately; enrichment runs async via Temporal.

POST
/api/posts
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
linkedin_urlstring
list_idsList Ids
min_icp_tier?string
Default"all"
Value in"high" | "medium" | "all"

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/posts" \  -H "Content-Type: application/json" \  -d '{    "linkedin_url": "string",    "list_ids": [      "string"    ]  }'
{
  "job_id": "string",
  "feed_post_id": "string",
  "workflow_id": "string",
  "status": "pending"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}